Check the status of the project
Requests
HTTP request
GET /apis/auth.alauda.io/v1/projects/{name}/status
read status of the specified Project
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
| name | string | True | name of the Project |
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
| resourceVersion | string | False | When specified: - if unset, then the result is returned from remote storage based on quorum-read flag; - if it's 0, then we simply return what we currently have in cache, no guarantee; - if set to non zero, then the result is at least as fresh as given rv. |
| pretty | string | False | If 'true', then the output is pretty printed. |
Responses
Content-Type
application/json,
application/yaml
Status code: 200
OK
Sample response
{
"apiVersion": "auth.alauda.io/v1",
"kind": "Project",
"metadata": {
"annotations": {
"cpaas.io/creator": "admin@cpaas.io",
"cpaas.io/description": "cpaas",
"cpaas.io/display-name": "cpaas",
"cpaas.io/unite-quota-fed-clusters": "",
"cpaas.io/updated-at": "2021-06-28T03:34:24Z"
},
"creationTimestamp": "2021-06-28T03:34:24Z",
"finalizers": [
"namespace"
],
"generation": 2,
"labels": {
"cpaas.io/project": "cpaas",
"cpaas.io/project.id": "114038197",
"cpaas.io/project.level": "1",
"cpaas.io/project.parent": ""
},
"name": "cpaas",
"resourceVersion": "41289584",
"selfLink": "/apis/auth.alauda.io/v1/projects/cpaas",
"uid": "9733309c-695e-4ea2-b2a4-8f96fd24ada1"
},
"spec": {
"clusters": [
{
"name": "global",
"quota": {
"limits.cpu": "5",
"limits.memory": "5Gi",
"persistentvolumeclaims": "5",
"pods": "5",
"requests.cpu": "5",
"requests.memory": "5Gi",
"requests.storage": "5Gi"
},
"type": ""
}
]
},
"status": {
"phase": "Active",
"version": "331f49118708aa89d6804ee90a5321d7"
}
}Parameters
| Name | Type | Description |
|---|---|---|
| apiVersion | string | See common parameters |
| kind | string | See common parameters |
| metadata | object | See common parameters |
| spec | object |
Spec is the specification of the project. This may or may not be reconciled by an active controller.
Path: spec |
| spec.clusters | array |
Clusters contains the clusters associated with this Project
Path: spec.clusters |
| spec.clusters[] | object |
list of cluster
Path: spec.clusters[] |
| clusters[].name | string |
Name of the cluster
Path: spec.clusters[].name |
| clusters[].quota | object |
Quota store the quota info for Project
Path: spec.clusters[].quota |
| clusters[].type | string |
Type of the cluster
Path: spec.clusters[].type |
| status | object |
Status is the status of the project.
Path: status |
| status.phase | string |
Phase record the state of project
Path: status.phase |